Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class ConfigurePipeline

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.configuration.ConfigurePipeline

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigurePipeline

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigurePipeline()`

Method Summary
`String` | `doActivate()`
`String` | `doActivateAll()`
`String` | `doDeactivate()`
`String` | `doDeactivateAll()`
`String` | `doRemove()`
`String` | `doSave()`
`Collection` | `getAvailableBuilds()`
`Build` | `getBuild(String buildKey)`
`PipelineDefinition` | `getCurrentPipeline()`
`long` | `getPipelineId()`
`Collection` | `getPipelines()`
`void` | `prepare()`
`void` | `setCurrentPipeline(PipelineDefinition currentPipeline)`
`void` | `setPipelineId(long pipelineId)`
`void` | `setPipelineManager(PipelineManager pipelineManager)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doDefault, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigurePipeline

    public ConfigurePipeline()

Method Detail

### prepare

    public void prepare()
                 throws Exception

  Throws:
    `Exception`

### doSave

    public String doSave()
                  throws Exception

  Throws:
    `Exception`

### doRemove

    public String doRemove()
                    throws Exception

  Throws:
    `Exception`

### doActivate

    public String doActivate()
                      throws Exception

  Throws:
    `Exception`

### doDeactivate

    public String doDeactivate()
                        throws Exception

  Throws:
    `Exception`

### doActivateAll

    public String doActivateAll()
                         throws Exception

  Throws:
    `Exception`

### doDeactivateAll

    public String doDeactivateAll()
                           throws Exception

  Throws:
    `Exception`

### getPipelines

    public Collection getPipelines()

### getAvailableBuilds

    public Collection getAvailableBuilds()

### getBuild

    public Build getBuild(String buildKey)

### setPipelineManager

    public void setPipelineManager(PipelineManager pipelineManager)

### getPipelineId

    public long getPipelineId()

### setPipelineId

    public void setPipelineId(long pipelineId)

### getCurrentPipeline

    public PipelineDefinition getCurrentPipeline()

### setCurrentPipeline

    public void setCurrentPipeline(PipelineDefinition currentPipeline)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.